package uniandes.apo2h.cupiFitCenter.mundo;

import java.util.Comparator;

/**
 * Clase que compara gimnasios por su capacidad
 * @author alvar-go
 *
 */
public class ComparadorGimansioCapacidad implements Comparator<Gimnasio>{

	/**
	 * Compara dos gimnasios de acuerdo a su capacidad
	 * @return	1 si el gimnasio o1 es mayor al gimnasio o2  por capacidad
	 * 			-1 si el gimnasio o1 es menor al gimnasio o2  por capacidad
	 * 			0 si el gimnasio o1 es igual al gimnasio o2  por capacidad
	 */
	public int compare(Gimnasio o1, Gimnasio o2) 
	{
		int comparar = o1.getCapacidad() - o2.getCapacidad();
		if(comparar > 0)
		{
			return 1;
		}
		else if( comparar < 0 )
		{
			return -1;
		}
		else
		{
			return 0;			
		}
	}

}
