package uniandes.apo2h.cupiFitCenter.interfaz;


import java.awt.Color;
import java.awt.Component;
import java.awt.Font;


import javax.swing.BorderFactory;
import javax.swing.JList;
import javax.swing.plaf.basic.BasicComboBoxRenderer;

import uniandes.apo2h.cupiFitCenter.mundo.Ciudad;

/**
 * Clase para printar el combo de ciudades
 * @author alvar-go
 *
 */
public class ComboBoxRendererCiudad extends BasicComboBoxRenderer
{
	public final static Font fuente1 = new Font("Tahoma", Font.PLAIN, 20);
	
	public final static Font fuente2 = new Font("Tahoma", Font.PLAIN, 14);
	
	public ComboBoxRendererCiudad()
    {
      super();
      setOpaque(true);
    }
	
    public Component getListCellRendererComponent(JList list,Object value,int index,boolean isSelected,boolean cellHasFocus)
    {

    		if(value instanceof Ciudad)
    		{
    			Ciudad ciudad = (Ciudad)value;	
    			setFont(fuente1);
    			setText("   "+ ciudad.getNombre());
    			
    			setBorder(null);
    		}
    		else
    		{
    			setText("   " +   value.toString());
    			setFont(fuente2);
    			setBorder(BorderFactory.createLineBorder(Color.BLACK,2));
    		}
    		
    		if(isSelected) 
    		{
    			setBackground(new Color(238,238,238));  
    			setForeground(new Color(80,191,213));
    		}
    		else
    		{
    			setBackground(Color.WHITE);  
    			setForeground(Color.BLACK);
    		}
    		
      return this;
    }
}
