package uniandes.apo2h.utiles.test;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;

import junit.framework.TestCase;
import uniandes.apo2h.utiles.Buscador;

/**
 * Clase que prueba el buscador
 * @author alvar-go
 *
 */
public class BuscadorTest extends TestCase {

	/**
	 * Clase a probar
	 */
	private Buscador<Integer> buscador;
	
	/**
	 * lista para realizar las pruebas
	 */
	private List<Integer> lista;
	
	/**
	 * Prepara el escenario de pruebas
	 */
	public void setUp()
	{
		buscador = new Buscador<Integer>();
		lista = new ArrayList<Integer>();
		lista.add(new Integer(10));
		lista.add(new Integer(-25));
		lista.add(new Integer(13));
		lista.add(new Integer(45));
		lista.add(new Integer(-1));
		lista.add(new Integer(-8));
		lista.add(new Integer(8));
	}
	
	
	
	/**
     * Prueba 1: Se encarga de verificar el mtodo buscarMayor de la clase.<br>
     * <b> Mtodos a probar: </b> <br>
     * buscarMayor<br>
     * <b> Casos de prueba:</b><br>
     * 1. Devuelve null si no hay elementos.<br>
     * 2. Encuentra correctamente el elemento mayor.<br>
     */
	public void testBuscarMayor()
	{
		//TODO Complete segn la documentacin

	}
	
	/**
     * Prueba 2: Se encarga de verificar el mtodo buscarMenor de la clase.<br>
     * <b> Mtodos a probar: </b> <br>
     * buscarMenor<br>
     * <b> Casos de prueba:</b><br>
     * 1. Devuelve null si no hay elementos.<br>
     * 2. Encuentra correctamente el elemento menor.<br>
     */
	public void testBuscarMenor()
	{
		//TODO Complete segn la documentacin

	}
	
	
	/**
	 * clase que solo se utilizar para probar el buscador
	 * @author alvar-go
	 *
	 */
	private class ComparadorNumeros implements Comparator<Integer>
	{

		/**
		 * Compara dos nmeros
		 * @return	1 si el nmero o1 es mayor al nmero o2 
		 * 			-1 si el nmero o1 es menor al nmero o2
		 * 			0 si el nmero o1 es igual al nmero o2
		 */
		public int compare(Integer o1, Integer o2) {
			int comparar = o1-o2;
			if(comparar > 0)
			{
				return 1;
			}
			else if( comparar < 0 )
			{
				return -1;
			}
			else
			{
				return 0;			
			}
		}
		
	}
}
